<template>
    <tr>
        <td>{{index}}</td>
        <td>{{person.firstName}}</td>
        <td>{{person.lastName}}</td>
        <td>{{person.birthYear}} ({{age}})</td>
        <td>
            <button type="button" @click="deleteThisPerson">Löschen</button>
            <button type="button" @click="isDialogOpen=true">Bearbeiten</button>
            <button type="button" @click="isOtherDialogOpen=true">Dings</button>

            <CustomDialog v-model="isDialogOpen">
                <template #title>
                    <ul>
                        <li>Misslungene</li>
                        <li>Überschrift</li>
                    </ul>
                </template>
                Hauptinhalt
            </CustomDialog>
            <CustomDialog v-model="isOtherDialogOpen" title="<h1>Tadaa</h1>">
                <h1>Tadaaa</h1>
            </CustomDialog>
            <!--<CustomDialog :model-value="isDialogOpen" @update:model-value="value => isDialogOpen=value"></CustomDialog>-->
        </td>
    </tr>
</template>

<script setup>
    import {computed, ref} from "vue";
    import CustomDialog from "@/components/CustomDialog.vue";

    const props = defineProps({
        person: {
            required: true,
            type: Object
        },
        index: {
            required: true,
            type: Number
        }
    })

    const emit = defineEmits(['deleteSelectedPerson'])

    const isDialogOpen = ref(false)
    const isOtherDialogOpen = ref(false)
    const age = computed(() => new Date().getFullYear() - props.person.birthYear)

    function deleteThisPerson() {
        emit('deleteSelectedPerson', 'hallo welt')
    }
</script>